Organization APIAudit log
List audit events
Audit events for the organization, newest first. Paginate with nextCursor. The window is clamped to the plan's retention (retentionStart).
Authorization
personalAccessTokenAuth AuthorizationBearer <token>
Personal access token (prefixed gb_pat_). Acts on behalf of its owner and can never exceed the owner's own permissions. Send it as Authorization: Bearer <token>.
In: header
Path Parameters
organizationId*integer
Range
0 < value <= 9007199254740991Query Parameters
from?string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Format
date-timeto?string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Format
date-timeprojectId?array<>
Items
items <= 100environmentId?array<>
Items
items <= 100feature?array<>
Items
items <= 100action?array<>
Items
items <= 100actorType?array<>
Items
items <= 100actorUserId?array<>
Items
items <= 100clientName?array<>
Items
items <= 100outcome?array<>
Items
items <= 100resourceType?string
Value in
- "configuration"
- "project_settings"
- "experiment"
- "experiment_assignment"
- "query"
- "formula"
- "annotation"
- "heatmap"
- "dashboard"
- "dashboard_folder"
- "cohort"
- "event_type"
- "tracking_plan"
- "webhook"
- "deeplink"
- "share_link"
- "sentiment_source"
- "sentiment_topic"
- "sentiment_backfill"
- "player"
- "job_type"
- "job"
- "project"
- "discord_link"
- "overwolf_connection"
- "overwolf_passback"
- "organization"
- "member"
- "invite"
- "role"
- "grant"
- "team"
- "api_key"
- "personal_access_token"
- "mcp_connection"
- "user"
- "billing_budget"
- "billing_balance"
- "billing_auto_reload"
- "billing_subscription"
- "billing_payment"
- "gdpr_deletion_request"
- "audit_export"
resourceId?string
Length
1 <= lengthconversationId?string
Length
1 <= lengthrequestId?string
Length
1 <= lengthsensitiveOnly?boolean
q?string
Length
1 <= length <= 200cursor?string
Length
1 <= lengthlimit?integer
Range
1 <= value <= 200Default
50Response Body
application/json
curl -X GET "https://example.com/organization/1/audit-log/events"{ "events": [ { "id": "string", "occurredAt": "string", "organizationId": -9007199254740991, "projectId": -9007199254740991, "environmentId": -9007199254740991, "actor": { "type": "user", "userId": "string", "apiKeyId": -9007199254740991, "displayName": "string", "email": "string" }, "via": { "clientName": "string", "oauthClientId": "string", "grantId": "string", "patId": -9007199254740991, "toolName": "string", "toolCallId": "string", "conversationId": "string", "turnId": "string", "model": "string", "reason": "string", "approvedByUserId": "string", "approvedAt": "string", "supportReason": "string" }, "action": "configuration.created", "feature": "configurations", "outcome": "success", "errorCode": "string", "resource": { "type": "configuration", "id": "string", "name": "string" }, "relatedResources": [ { "type": "configuration", "id": "string", "name": "string" } ], "changes": [ { "path": "string", "op": "add", "before": null, "after": null } ], "changeCount": -9007199254740991, "summary": "string", "truncated": true, "surface": "dashboard", "requestId": "string", "causedByEventId": "string", "ip": "string", "userAgent": "string", "metadata": { "property1": null, "property2": null } } ], "nextCursor": "string", "retentionStart": "string", "retentionDays": -9007199254740991}